/* ******************************************************************

   class    : ContentAction
   date     : 22.07.98
   compiler : javac (jdk 1.1.6)

*********************************************************************/

/* ******************************************************************
   import statements
*********************************************************************/

import java.awt.*;
import java.awt.event.ActionEvent;

import com.sun.java.swing.AbstractAction;

/**
 * Starts the online help.
 *
 * @author puehringer edgar
 */
class ContentAction extends AbstractAction {

  // constructors
  ContentAction(ResourceBundle resources) {
    super(CONTENT_ACTION);
    this.resources = resources;
    this.desktop   = desktop;
  } // end constructor ContentAction

  // instance methods
  public void actionPerformed(ActionEvent e) {
    String clazz = ResourceUtil.getResStringOrKey(resources,Const.HELP_CLASS);
    AbstractHelpWindow wnd;

    wnd = AbstractHelpWindow.getInstance(resources,desktop);
    wnd.showIndex();
  } // end actionPerformed

} // end ContentAction

/* ******************************************************************
   end of file
*********************************************************************/
