// project: SID - Structured Interactive Documentation
// author : Dipl.Ing. Stefan Chiettini

package SID.Meta;

import java.io.*;

public class JavaImport{

	String importName;
	boolean simpleType;

	public JavaImport(){
		importName = "";
		this.simpleType = false;
	}

	public JavaImport(String name, boolean simpleType){
		importName = name;
		this.simpleType = simpleType;
	}

	public void load(DataInputStream in) throws IOException{
		importName = in.readUTF();
		simpleType = in.readBoolean();
	}

	public void store(DataOutputStream out) throws IOException{
		out.writeUTF(importName);
		out.writeBoolean(simpleType);
	}
}
